org.apache.olingo.odata2.api.edm.provider

## Class AssociationSetEnd

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.AssociationSetEnd

-     public class AssociationSetEnd
      extends Object

  Objects of this class represent an association set end

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationSetEnd()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `String` | `getEntitySet()`
    `String` | `getRole()`
    `AssociationSetEnd` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `AssociationSetEnd`
    `AssociationSetEnd` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `AssociationSetEnd`
    `AssociationSetEnd` | `setDocumentation(Documentation documentation)` Sets the `Documentation` of this `AssociationSetEnd`
    `AssociationSetEnd` | `setEntitySet(String entitySet)` Sets the target entity set of this `AssociationSetEnd`
    `AssociationSetEnd` | `setRole(String role)` Sets the role of this `AssociationSetEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationSetEnd

          public AssociationSetEnd()

  - ### Method Detail

    - #### getRole

          public String getRole()

      Returns:
        String role

    - #### getEntitySet

          public String getEntitySet()

      Returns:
        String name of the target entity set

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setRole

          public AssociationSetEnd setRole(String role)

      Sets the role of this `AssociationSetEnd`
      Parameters:
        `role` -
      Returns:
        `AssociationSetEnd` for method chaining

    - #### setEntitySet

          public AssociationSetEnd setEntitySet(String entitySet)

      Sets the target entity set of this `AssociationSetEnd`
      Parameters:
        `entitySet` -
      Returns:
        `AssociationSetEnd` for method chaining

    - #### setDocumentation

          public AssociationSetEnd setDocumentation(Documentation documentation)

      Sets the `Documentation` of this `AssociationSetEnd`
      Parameters:
        `documentation` -
      Returns:
        `AssociationSetEnd` for method chaining

    - #### setAnnotationAttributes

          public AssociationSetEnd setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `AssociationSetEnd`
      Parameters:
        `annotationAttributes` -
      Returns:
        `AssociationSetEnd` for method chaining

    - #### setAnnotationElements

          public AssociationSetEnd setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `AssociationSetEnd`
      Parameters:
        `annotationElements` -
      Returns:
        `AssociationSetEnd` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.